Package org.apache.cxf.ws.addressing

# Class EndpointReferenceUtils

java.lang.Object
org.apache.cxf.ws.addressing.EndpointReferenceUtils

public final class EndpointReferenceUtils extends Object
Provides utility methods for obtaining endpoint references, wsdl definitions, etc.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANONYMOUS_ADDRESS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Source`
  `convertToXML(org.apache.cxf.ws.addressing.EndpointReferenceType epr)`
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `duplicate(org.apache.cxf.ws.addressing.EndpointReferenceType ref)`
  Create a duplicate endpoint reference sharing all atributes
  `static String`
  `getAddress(org.apache.cxf.ws.addressing.EndpointReferenceType ref)`
  Get the address from the provided endpoint reference.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getAnonymousEndpointReference()`
  Create an anonymous endpoint reference.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getEndpointReference(String address)`
  Create an endpoint reference for the provided address.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getEndpointReference(URL wsdlUrl, QName serviceName, String portName)`
  Create an endpoint reference for the provided wsdl, service and portname.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getEndpointReference(org.apache.cxf.ws.addressing.AttributedURIType address)`
  `static String`
  `getEndpointReferenceId(Map<String,Object> messageContext)`
  Obtain the id String from the endpoint reference of the current dispatch.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getEndpointReferenceWithId(QName serviceQName, String portName, String id, Bus bus)`
  Obtain a multiplexed endpoint reference for the deployed service that contains the provided id
  `static QName`
  `getInterfaceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  `static String`
  `getPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref)`
  Gets the port name of the provided endpoint reference.
  `static QName`
  `getPortQName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  `static Schema`
  `getSchema(ServiceInfo serviceInfo)`
  `static Schema`
  `getSchema(ServiceInfo serviceInfo, Bus b)`
  `static QName`
  `getServiceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)`
  Gets the service name of the provided endpoint reference.
  `static JAXBElement<org.apache.cxf.ws.addressing.wsdl.ServiceNameType>`
  `getServiceNameType(QName serviceName, String portName)`
  `static org.apache.cxf.ws.addressing.MetadataType`
  `getSetMetadata(org.apache.cxf.ws.addressing.EndpointReferenceType ref)`
  `static String`
  `getWSDLLocation(org.apache.cxf.ws.addressing.EndpointReferenceType ref)`
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `mint(QName serviceName, Bus bus)`
  Mint logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `mint(org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)`
  Mint logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `renew(org.apache.cxf.ws.addressing.EndpointReferenceType logical, org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)`
  Renew logical endpoint reference via the Bus EndpointResolverRegistry.
  `static org.apache.cxf.ws.addressing.EndpointReferenceType`
  `resolve(org.apache.cxf.ws.addressing.EndpointReferenceType logical, Bus bus)`
  Resolve logical endpoint reference via the Bus EndpointResolverRegistry.
  `static void`
  `setAddress(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String address)`
  Set the address of the provided endpoint reference.
  `static void`
  `setInterfaceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, QName portTypeName)`
  `static void`
  `setPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String portName)`
  `static void`
  `setServiceAndPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, QName serviceName, String portName)`
  Sets the service and port name of the provided endpoint reference.
  `static void`
  `setWSDLLocation(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String... wsdlLocation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANONYMOUS_ADDRESS

    public static final String ANONYMOUS_ADDRESS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setServiceAndPortName

    public static void setServiceAndPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, QName serviceName, String portName)
    Sets the service and port name of the provided endpoint reference.
    Parameters:
      `ref` - the endpoint reference.
      `serviceName` - the name of service.
      `portName` - the port name.

  - ### getSetMetadata

    public static org.apache.cxf.ws.addressing.MetadataType getSetMetadata(org.apache.cxf.ws.addressing.EndpointReferenceType ref)

  - ### getServiceNameType

    public static JAXBElement<org.apache.cxf.ws.addressing.wsdl.ServiceNameType> getServiceNameType(QName serviceName, String portName)

  - ### getServiceName

    public static QName getServiceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)
    Gets the service name of the provided endpoint reference.
    Parameters:
      `ref` - the endpoint reference.
    Returns:
      the service name.

  - ### getPortName

    public static String getPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref)
    Gets the port name of the provided endpoint reference.
    Parameters:
      `ref` - the endpoint reference.
    Returns:
      the port name.

  - ### getPortQName

    public static QName getPortQName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)

  - ### setPortName

    public static void setPortName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String portName)

  - ### setInterfaceName

    public static void setInterfaceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, QName portTypeName)

  - ### getInterfaceName

    public static QName getInterfaceName(org.apache.cxf.ws.addressing.EndpointReferenceType ref, Bus bus)

  - ### setWSDLLocation

    public static void setWSDLLocation(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String... wsdlLocation)

  - ### getWSDLLocation

    public static String getWSDLLocation(org.apache.cxf.ws.addressing.EndpointReferenceType ref)

  - ### getSchema

    public static Schema getSchema(ServiceInfo serviceInfo)

  - ### getSchema

    public static Schema getSchema(ServiceInfo serviceInfo, Bus b)

  - ### getAddress

    public static String getAddress(org.apache.cxf.ws.addressing.EndpointReferenceType ref)
    Get the address from the provided endpoint reference.
    Parameters:
      `ref` - - the endpoint reference
    Returns:
      String the address of the endpoint

  - ### setAddress

    public static void setAddress(org.apache.cxf.ws.addressing.EndpointReferenceType ref, String address)
    Set the address of the provided endpoint reference.
    Parameters:
      `ref` - - the endpoint reference
      `address` - - the address

  - ### getEndpointReference

    public static org.apache.cxf.ws.addressing.EndpointReferenceType getEndpointReference(URL wsdlUrl, QName serviceName, String portName)
    Create an endpoint reference for the provided wsdl, service and portname.
    Parameters:
      `wsdlUrl` - - url of the wsdl that describes the service.
      `serviceName` - - the `QName` of the service.
      `portName` - - the name of the port.
    Returns:
      EndpointReferenceType - the endpoint reference

  - ### duplicate

    public static org.apache.cxf.ws.addressing.EndpointReferenceType duplicate(org.apache.cxf.ws.addressing.EndpointReferenceType ref)
    Create a duplicate endpoint reference sharing all atributes
    Parameters:
      `ref` - the reference to duplicate
    Returns:
      EndpointReferenceType - the duplicate endpoint reference

  - ### getEndpointReference

    public static org.apache.cxf.ws.addressing.EndpointReferenceType getEndpointReference(String address)
    Create an endpoint reference for the provided address.
    Parameters:
      `address` - - address URI
    Returns:
      EndpointReferenceType - the endpoint reference

  - ### getEndpointReference

    public static org.apache.cxf.ws.addressing.EndpointReferenceType getEndpointReference(org.apache.cxf.ws.addressing.AttributedURIType address)

  - ### getAnonymousEndpointReference

    public static org.apache.cxf.ws.addressing.EndpointReferenceType getAnonymousEndpointReference()
    Create an anonymous endpoint reference.
    Returns:
      EndpointReferenceType - the endpoint reference

  - ### resolve

    public static org.apache.cxf.ws.addressing.EndpointReferenceType resolve(org.apache.cxf.ws.addressing.EndpointReferenceType logical, Bus bus)
    Resolve logical endpoint reference via the Bus EndpointResolverRegistry.
    Parameters:
      `logical` - the abstract EPR to resolve
    Returns:
      the resolved concrete EPR if appropriate, null otherwise

  - ### renew

    public static org.apache.cxf.ws.addressing.EndpointReferenceType renew(org.apache.cxf.ws.addressing.EndpointReferenceType logical, org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)
    Renew logical endpoint reference via the Bus EndpointResolverRegistry.
    Parameters:
      `logical` - the original abstract EPR (if still available)
      `physical` - the concrete EPR to renew
    Returns:
      the renewed concrete EPR if appropriate, null otherwise

  - ### mint

    public static org.apache.cxf.ws.addressing.EndpointReferenceType mint(QName serviceName, Bus bus)
    Mint logical endpoint reference via the Bus EndpointResolverRegistry.
    Parameters:
      `serviceName` - the given serviceName
    Returns:
      the newly minted EPR if appropriate, null otherwise

  - ### mint

    public static org.apache.cxf.ws.addressing.EndpointReferenceType mint(org.apache.cxf.ws.addressing.EndpointReferenceType physical, Bus bus)
    Mint logical endpoint reference via the Bus EndpointResolverRegistry.
    Parameters:
      `physical` - the concrete template EPR
    Returns:
      the newly minted EPR if appropriate, null otherwise

  - ### getEndpointReferenceWithId

    public static org.apache.cxf.ws.addressing.EndpointReferenceType getEndpointReferenceWithId(QName serviceQName, String portName, String id, Bus bus)
    Obtain a multiplexed endpoint reference for the deployed service that contains the provided id
    Parameters:
      `serviceQName` - identified the target service
      `portName` - identifies a particular port of the service, may be null
      `id` - that must be embedded in the returned reference
      `bus` - the current bus
    Returns:
      a new reference or null if the target destination does not support destination mutiplexing

  - ### getEndpointReferenceId

    public static String getEndpointReferenceId(Map<String,Object> messageContext)
    Obtain the id String from the endpoint reference of the current dispatch.
    Parameters:
      `messageContext` - the current message context
    Returns:
      the id embedded in the current endpoint reference or null if not found

  - ### convertToXML

    public static Source convertToXML(org.apache.cxf.ws.addressing.EndpointReferenceType epr)